package com.supervision.pdfqaserver.dto;

import lombok.Data;
import java.util.List;

/**
 * 实体抽取
 */
@Data
public class EntityExtractionDTO {

    private String id;

    private String truncationId;

    /**
     * 实体标签
     */
    private String entity;

    /**
     * 实体英文名
     */
    private String entityEn;

    /**
     * 实体名
     */
    private String name;

    private List<ERAttributeDTO> attributes;

    public EntityExtractionDTO() {
    }

    public EntityExtractionDTO(String truncationId, String entity, String name, List<ERAttributeDTO> attributes) {
        this.truncationId = truncationId;
        this.entity = entity;
        this.name = name;
        this.attributes = attributes;
    }
}
