package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * pdf信息
 * @TableName pdf_info
 */
@TableName(value ="pdf_info")
@Data
public class PdfInfo implements Serializable {
    /**
     * 
     */
    private Integer id;

    /**
     * pdf路径
     */
    private String path;

    /**
     * 文件名
     */
    private String filename;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}