package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.dto.EREDTO;

/**
 * 知识图谱服务接口
 */
public interface KnowledgeGraphService {


    /**
     * 生成知识图谱
     * @param documentId 文档ID
     */
    void generateGraph(String documentId);

    void queryGraph(String databaseId, String query);


    void saveERE(EREDTO eredto, String truncationId);
}
