package com.supervision.pdfqaserver.service.impl;

import com.supervision.pdfqaserver.cache.PromptCache;
import com.supervision.pdfqaserver.dto.EREDTO;
import com.supervision.pdfqaserver.service.TripleToCypherExecutor;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.ai.ollama.OllamaChatModel;
import org.springframework.stereotype.Service;
import static com.supervision.pdfqaserver.cache.PromptCache.ERE_TO_INSERT_CYPHER;

@Slf4j
@Service
@RequiredArgsConstructor
public class TripleToCypherExecutorImpl implements TripleToCypherExecutor {

    private final OllamaChatModel ollamaChatModel;
    @Override
    public String generateInsertCypher(EREDTO eredto) {

        String prompt = PromptCache.promptMap.get(ERE_TO_INSERT_CYPHER);
        String call = ollamaChatModel.call(prompt);
        return call;
    }

    @Override
    public String generateQueryCypher(String query) {
        return null;
    }

    @Override
    public void executeCypher(String cypher) {

    }
}
